# $Revision: 1.26 $, $Date: 2006/04/05 14:02:56 $
%define		tarname		RMagick
Summary:	Graphics Processing library for Ruby
Summary(pl):	Biblioteka przetwarzania grafiki dla Ruby
Name:		ruby-RMagick
Version:	1.9.2
Release:	4
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/6074/%{tarname}-%{version}.tar.bz2
# Source0-md5:	09292d22e60455d041d4bfcb7c6a841e
Source1:	setup.rb
Patch0:		%{name}-evil.patch
URL:		http://rmagick.rubyforge.org/
BuildConflicts:	ruby-RMagick < 1.7.2
BuildRequires:	ImageMagick-coder-dot
BuildRequires:	ImageMagick-coder-dps
BuildRequires:	ImageMagick-coder-fpx
BuildRequires:	ImageMagick-coder-jbig
BuildRequires:	ImageMagick-coder-jpeg
BuildRequires:	ImageMagick-coder-jpeg2
BuildRequires:	ImageMagick-coder-miff
BuildRequires:	ImageMagick-coder-mpr
BuildRequires:	ImageMagick-coder-pdf
BuildRequires:	ImageMagick-coder-png
BuildRequires:	ImageMagick-coder-ps2
BuildRequires:	ImageMagick-coder-svg
BuildRequires:	ImageMagick-coder-tiff
BuildRequires:	ImageMagick-coder-url
BuildRequires:	ImageMagick-coder-wmf
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	autoconf
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface to the ImageMagick and GraphicsMagick image processing
libraries. Supports more than 80 image formats, including GIF, JPEG,
PNG. Includes 2D drawing API. Comprehensive HTML documentation.

%description
Jest to interfejs do bibliotek przetwarzania grafiki ImageMagick i
GraphicsMagick. Wspiera ponad 80 formatw graficznych, wczajc w to
GIF, JPEG, PNG. Zawiera API dla dwuwymiarowego rysowania. Obszerna
dokumentacja w HTML-u.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1
cp %{SOURCE1} install.rb

%build
%{__autoconf}
./configure # no macro!
> post-install.rb
ruby install.rb config \
	--siterubyver=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir}

ruby install.rb setup

rdoc --ri --op ri ext/RMagick lib
rdoc --op rdoc ext/RMagick lib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{_examplesdir}/%{name}}

ruby install.rb install --prefix=$RPM_BUILD_ROOT

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc rdoc
%{ruby_rubylibdir}/RMagick*
%{ruby_rubylibdir}/rvg*
%attr(755,root,root) %{ruby_archdir}/*.so
%{ruby_ridir}/Magick
%{_examplesdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-RMagick.spec,v $
Revision 1.26  2006/04/05 14:02:56  hawk
- release 4 (rebuild with new ImageMagick)

Revision 1.25  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.24  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.23  2005/12/27 09:43:55  twittner
- (B)R: s/ruby/ruby-modules/, rel. 3 (mass commit through script)

Revision 1.22  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.21  2005/10/03 18:09:59  arekm
- BR new imagemagick

Revision 1.20  2005/10/03 00:38:43  aredridel
- complete BR
- STBR

Revision 1.19  2005/09/20 05:02:39  aredridel
- up to 1.9.2

Revision 1.18  2005/09/11 17:25:51  aredridel
- up to 1.9.1

Revision 1.17  2005/07/16 05:49:35  aredridel
- up to 1.9.0

Revision 1.16  2005/05/11 19:41:02  aredridel
- corrected setup.rb parameters for new version of setup.rb

Revision 1.15  2005/04/06 18:23:05  aredridel
- up to 1.7.4

Revision 1.14  2005/03/21 08:30:24  aredridel
- up to 1.7.3

Revision 1.13  2005/02/24 08:17:20  aredridel
- up to 1.7.2

Revision 1.12  2004/12/18 18:47:37  aredridel
- fixed source URL

Revision 1.11  2004/12/18 15:05:41  aredridel
- up to 1.7.0

Revision 1.10  2004/12/10 03:52:17  ankry
- BR: ImageMagick-devel

Revision 1.9  2004/11/17 07:52:29  aredridel
- remove removed docs

Revision 1.8  2004/11/17 07:16:21  aredridel
- up to 1.6.1

Revision 1.7  2004/10/31 17:23:11  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/10/10 19:31:39  paladine
- added missing BR: autoconf

Revision 1.5  2004/08/22 00:40:10  ankry
- one more fix

Revision 1.4  2004/08/22 00:13:49  twittner
- fixed two typos in pl %description (nobody's perfect ;)

Revision 1.3  2004/08/21 23:20:55  ankry
- pl

Revision 1.2  2004/08/21 23:18:14  domelu
- adapterized, some cosmetics, tabs..

Revision 1.1  2004/08/21 23:02:28  aredridel
- added
- STBR
